Plugins: Inkompatibel mit deiner ClassicPress-Version

Hallo!

Beim installieren neuer Plugins per Admin werden immer mehr Plugins als nicht mit CP kompatibel gekennzeichnet.
Inkompatibel mit deiner ClassicPress-Version” steht da
Doch ich ignoriere das, wenn es sein muss und installiere dennoch. Und es klappt!

Was aber, wenn eines Tages alle (WP) Plugins als "Inkompatibel " gekennzeichnet werden und was macht man, wenn ein wichtiges Plugin echt nicht mehr in CP funktioniert?
Wenn es keine kompatible Alternative gibt?


Hier zB. Complianz AGB wurden als Inkompatibel angezeigt, funktioniert aber …

Dann hat man ein paar möglichkeiten. Man könnte selbst 'ne alternatif herstellen oder jemandem bezahlen damit er plötzlich Lust hat eine zu machen. Oder man kann zurück auf WP… oder man kann einfach nichts tun und sehen wie das Leben weiter laeuft.

1 Like

Sorry for writing in English, I can understand German but my writing is poor.
Aside from what @alvarofranz suggests, we hope the plugins/themes ecosystem around ClassicPress will exponentially grow to fill the gaps left empty by WP plugins and themes. As of now we do have some plugins built for CP. You can find them in the CP plugin directory at https://directory.classicpress.net/plugins.

Das kann ich nicht.
Jemanden bezahlen, ja kein Problem, sofern man wen findet, der das auch umsetzen kann.

Denke aber, es ist nur eine Kleinigkeit, irgendeine (Header) Angabe im Plugin-Code, welcher die falsche “Inkompatibel” Meldung auslöst.

Evtl. wird nur geprüft, ob das Plugin mit dem Block Editor kompatibel ist und schon vermutet irgendeine Prüfung in CP, dass das Plugin für CP “Inkompatibel” ist?

Diese Seite funktioniert nicht

directory.classicpress.net kann diese Anfrage momentan nicht verarbeiten.
HTTP ERROR 500

2 Likes

Das Verzeichnis ist wieder online, danke für die Meldung und entschuldige die Unannehmlichkeiten!
Entschuldigung für Google Translate. :slight_smile:

1 Like

Ok. Dann kann man gleich die beiden folgenden Plugins in die Rubrik “Funktioniert mit CP” hinzufügen:

  1. Complianz – GDPR/CCPA Cookie Consent

  2. Complianz – Terms and Conditions (dieses wird bei der Installation als nicht kompatibel angezeigt - funktioniert aber (dzt.) wie gesagt einwandfrei)

Damit wären dann erstmals (?) auch DSGVO / GDPR / Cookie Consent Plugins im CP Plugin Verzeichnis. Und ein gutes AGB Plugin vom gleichen Hersteller.

Also ich schreibe hier weiterhin Deutsch, wenn das okay ist? Dafür habe ich ja damals die Idee eines deutschsprachigen Forums auf CassicPress angeregt - und auch bekommen.

2 Likes

The ClassicPress directory is in a very early stage and not all features are complete yet.

We should be able to add the first plugin as “compatible with CP” in our directory, but we cannot mark the “Complianz - Terms and Conditions” plugin as being compatible with WP 4.9 on our end. This is something the plugin author would have to do (or it can be done by modifying the plugin’s code, but this way you have more risk of something not working correctly). I recommend writing them on the plugin’s support forum: https://wordpress.org/support/plugin/complianz-terms-conditions/

You are welcome to continue to write in German here, but it makes things easier for those of us who don’t speak it if you can also include an English translation with your reply. I will do the same here: write in English and include a computer-generated translation into German.


Das Classipress-Verzeichnis ist in einem sehr frühzeitigen Stadium und nicht alle Funktionen sind noch vollständig.

Wir sollten in der Lage sein, das erste Plugin als “kompatibel mit CP” in unserem Verzeichnis hinzufügen können, aber wir können die “Complanz - Allgemeinen Geschäftsbedingungen” nicht markieren, um mit WP 4.9 an unserem Ende mit WP 4,9 kompatibel zu sein. Dies ist etwas, was der Plugin-Autor tun müsste (oder es kann erfolgen, indem Sie den Code des Plugins ändern, aber auf diese Weise haben Sie mehr Risiko, dass etwas nicht richtig funktioniert). Ich empfehle, sie auf das Support-Forum des Plugins zu schreiben: https://wordpress.org/support/plugin/complianz-terms-conditions/

Sie sind herzlich eingeladen, hier weiterhin auf Deutsch zu schreiben, aber es macht die Dinge einfacher für diejenigen von uns, die nicht sprechen, wenn Sie auch eine englische Übersetzung mit Ihrer Antwort enthalten können. Ich werde hier dasselbe tun: Schreiben Sie auf Englisch und fügen Sie eine computergenerierte Übersetzung ins Deutsche.